- Qt 6.10
- Qt Widgets
- C++ Classes
- QStyleOptionRubberBand
- Qt 6.10.2 Reference Documentation

# QStyleOptionRubberBand Class

The QStyleOptionRubberBand class is used to describe the parameters needed for drawing a rubber band. More...

Header: | `#include <QStyleOptionRubberBand>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Widgets)` `target_link_libraries(mytarget PRIVATE Qt6::Widgets)`
qmake: | `QT += widgets`
Inherits: | QStyleOption

- List of all members, including inherited members

## Public Types

enum | StyleOptionType { Type }
enum | StyleOptionVersion { Version }

## Public Functions

| QStyleOptionRubberBand()
| QStyleOptionRubberBand(const QStyleOptionRubberBand &other)

## Public Variables

bool | opaque
QRubberBand::Shape | shape

## Detailed Description

QStyleOptionRubberBand contains all the information that QStyle functions need to draw QRubberBand.

For performance reasons, there are few member functions and the access to the member variables is direct (i.e., using the `.` or `->` operator). This makes the structures straightforward to use and emphasizes that these are simply parameters used by the style functions.

See also QStyleOption and QRubberBand.

## Member Type Documentation

### enum QStyleOptionRubberBand::StyleOptionType

This enum is used to hold information about the type of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionRubberBand::Type` | `SO_RubberBand` | The type of style option provided (SO_RubberBand for this class).

The type is used internally by QStyleOption, its subclasses, and qstyleoption_cast() to determine the type of style option. In general you do not need to worry about this unless you want to create your own QStyleOption subclass and your own styles.

See also StyleOptionVersion.

### enum QStyleOptionRubberBand::StyleOptionVersion

This enum is used to hold information about the version of the style option, and is defined for each QStyleOption subclass.

Constant | Value | Description
--- | --- | ---
`QStyleOptionRubberBand::Version` | `1` | 1

The version is used by QStyleOption subclasses to implement extensions without breaking compatibility. If you use qstyleoption_cast(), you normally do not need to check it.

See also StyleOptionType.

## Member Function Documentation

### QStyleOptionRubberBand::QStyleOptionRubberBand()

Creates a QStyleOptionRubberBand, initializing the members variables to their default values.

### QStyleOptionRubberBand::QStyleOptionRubberBand(const QStyleOptionRubberBand &other)

Constructs a copy of the other style option.

## Member Variable Documentation

### bool QStyleOptionRubberBand::opaque

This variable holds whether the rubber band is required to be drawn in an opaque style

The default value is true.

### QRubberBand::Shape QStyleOptionRubberBand::shape

This variable holds the shape of the rubber band

The default shape is QRubberBand::Line.